<div class="table-container" [ngClass]="{ 'table-container__pending': isPending }">
  <div class="loading">
    <img src="assets/images/loading.svg" />
  </div>

  <table mat-table [dataSource]="dataSource" class="table">
    <ng-container
      [matColumnDef]="item.title"
      *ngFor="let item of columnsStructure"
    >
      <th mat-header-cell *matHeaderCellDef class="table__header">
        {{ item.text }}
      </th>
      <td mat-cell *matCellDef="let element" class="table__body">
        <span *ngIf="item.type === 'text'">{{ element[item.title] }}</span>

        <span
          *ngIf="item.type === 'bool'"
          [ngStyle]="
            element[item.title] ? { color: 'green' } : { color: 'red' }
          "
        >
          {{ element[item.title] ? "فعال" : "غیرفعال" }}
        </span>

        <star-rating
          value="0"
          size="20px"
          readonly="true"
          checkedcolor="#f4ae01"
          uncheckedcolor="#f4ae01"
          *ngIf="item.type === 'star'"
          [totalstars]="element[item.title]"
        ></star-rating>

        <div *ngIf="item.type === 'action'">
          <button
            mat-icon-button
            [matTooltip]="action.title"
            class="table__action-button"
            *ngFor="let action of item.actions"
            [ngClass]="showHideBtn(action.show,element.showBtn) ? 'hide':''"
            [matTooltipClass]="'tooltip-container'"
            (click)="onAction(element, action.event)"
          >
            <mat-icon >{{ action.icon }}</mat-icon>
          </button>
        </div>
        <div *ngIf="item.type === 'checkbox'">
          <mat-checkbox
          *ngFor="let action of item.actions"
          [matTooltip]="action.title"
          (click)="onChecked(element)"
          >
          </mat-checkbox>
        </div>
        <div *ngIf="item.type === 'paymentType'">
          <div *ngIf="element[item.title] == 6 ;else ShowTitle">
            <span class="btnPayment" *ngFor="let action of item.actions"
            (click)="onPaymentBtn(element,action.event)"
            >
             {{action.title}}
           </span>
          </div>
          <ng-template #ShowTitle>
            {{element[item.title]}}
          </ng-template>
        </div>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
</div>

<div
  class="pagination-container"
  *ngIf="havePaginate && paginationConfig.totalItems > 15"
>
  <div *ngIf="isPending" [ngClass]="{ pending: isPending }">
    <img src="assets/images/loading.svg" />
  </div>
  <ul class="meal-list" style="display: none;">
    <li *ngFor="let meal of dataSource | paginate:paginationConfig"></li>
  </ul>

  <pagination-controls
  nextLabel=""
  previousLabel=""
  class="pagination"
  [id]="paginationConfig.id"
  [maxSize]="7"
  (pageChange)="onPageChange($event)"
  ></pagination-controls>
</div>
